'use strict';

const path = require('node:path');
const fs = require('node:fs');
const createCac = require('cac');
const index = require('./shared/css-to-tailwindcss-plugin.71c6b98b.cjs');
const utils = require('./shared/css-to-tailwindcss-plugin.53cd2a4f.cjs');
require('node:fs/promises');
require('postcss');
require('postcss-import');
require('@babel/types');
require('@babel/generator');
require('node:url');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e.default : e; }

const path__default = /*#__PURE__*/_interopDefaultCompat(path);
const fs__default = /*#__PURE__*/_interopDefaultCompat(fs);
const createCac__default = /*#__PURE__*/_interopDefaultCompat(createCac);

const cli = createCac__default();
const defaultCwd = process.cwd();
cli.command("build [...files]", "Build files").option("--out <dir>", "Output directory").option("--cwd <cwd>", "Current working directory").option("--resolved, --tailwindcssResolved", "If Resolved tailwindcss ").option("-c, --config, --tailwindcssConfig <config>", "Tailwindcss config path").action(async (files, options) => {
  const { cwd = defaultCwd, out, outSideLayerCss, tailwindcssResolved, tailwindcssConfig } = options;
  for (const file of files) {
    const entry = utils.resolvePath(file, cwd);
    if (!fs__default.existsSync(entry)) {
      console.log(`${file} isn't existed! skipped`);
      continue;
    }
    const ctx = index.createContext({
      outSideLayerCss,
      tailwindcssResolved,
      tailwindcssConfig
    });
    await ctx.process(entry);
    const code = ctx.generate();
    const filename = path__default.basename(entry, path__default.extname(entry));
    const outDir = out ? utils.resolvePath(out, cwd) : path__default.dirname(entry);
    utils.ensureDir(outDir);
    const target = path__default.resolve(outDir, filename + ".js");
    fs__default.writeFileSync(target, code, "utf8");
    console.log(`build successfully! file: ${target}`);
  }
});
cli.help();
cli.version(utils.version);
cli.parse();
