'use strict';

const path = require('node:path');
const fs = require('node:fs');

function _interopDefaultCompat (e) { return e && typeof e === 'object' && 'default' in e ? e.default : e; }

const path__default = /*#__PURE__*/_interopDefaultCompat(path);
const fs__default = /*#__PURE__*/_interopDefaultCompat(fs);

const version = "0.2.1";

function resolvePath(p, cwd = process.cwd()) {
  return path__default.isAbsolute(p) ? p : path__default.resolve(cwd, p);
}
function ensureDir(dir) {
  if (fs__default.existsSync(dir)) {
    const stat = fs__default.statSync(dir);
    if (!stat.isDirectory()) {
      fs__default.mkdirSync(dir);
    }
  } else {
    fs__default.mkdirSync(dir);
  }
}

exports.ensureDir = ensureDir;
exports.resolvePath = resolvePath;
exports.version = version;
